Bug 121010 - [UPDATE] www/p5-Catalyst-View-HTML-Template
Summary: [UPDATE] www/p5-Catalyst-View-HTML-Template
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 20:00 UTC by Felippe de Meirelles Motta
Modified: 2008-03-19 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.78 KB, patch)
2008-02-23 20:00 UTC, Felippe de Meirelles Motta
no flags Details | Diff
C::V::HTML::Template.patch (1.31 KB, patch)
2008-03-04 15:00 UTC, kiki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta 2008-02-23 20:00:06 UTC
- Updated to 0.02
- Use CPAN macro
- Better adjustment of dependences
- PERL_CONFIGURE instead of PERL_MODBUILD
- Update pkg-plist

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-02-23 20:00:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

gabor@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-02-23 20:00:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 kiki 2008-03-04 15:00:19 UTC
Unfortunately, the module still uses Module::Build so using just 
"PERL_CONFIGURE=yes" causes it to install to a weird directory 
(/usr/local/lib/usr/local/lib or smth like that) on my machine.

Using PERL_MODBUILD=yes will fix this and will also skip the .packlist 
file so the references to it can be removed from pkg-plist.

I attached a quick patch.
Comment 4 Felippe de Meirelles Motta freebsd_committer 2008-03-08 04:41:40 UTC
Responsible Changed
From-To: gabor->lippe

Submitter is now Committer
Comment 5 dfilter service freebsd_committer 2008-03-19 00:47:39 UTC
lippe       2008-03-19 00:47:35 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Catalyst-View-HTML-Template Makefile distinfo pkg-plist 
  Log:
  - Update to 0.02.
  - Use CPAN macro.
  - Fix pkg-plist.
  
  PR:             ports/121010
  Submitted by:   myself
  Approved by:    araujo (mentor), Kiki <kiki@bsdro.org> (maintainer)
  
  Revision  Changes    Path
  1.4       +4 -5      ports/www/p5-Catalyst-View-HTML-Template/Makefile
  1.3       +3 -3      ports/www/p5-Catalyst-View-HTML-Template/distinfo
  1.4       +1 -0      ports/www/p5-Catalyst-View-HTML-Template/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Felippe de Meirelles Motta freebsd_committer 2008-03-19 00:48:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!